Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class CompositeRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.ext.awt.image.renderable.CompositeRable8Bit

All Implemented Interfaces:
  RenderableImage, CompositeRable, Filter, FilterColorInterpolation, PaintRable

    public class CompositeRable8Bit

extends AbstractColorInterpolationRable
implements CompositeRable, PaintRable

Composites a list of images according to a single composite rule. the image are applied in the order they are in the List given.

Field Summary
`protected CompositeRule` | `rule`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`CompositeRable8Bit(List srcs, CompositeRule rule, boolean csIsLinear)`

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`CompositeRule` | `getCompositeRule()` Get the composite rule in use for combining the sources.
`boolean` | `paintRable(Graphics2D g2d)` Should perform the equivilent action as createRendering followed by drawing the RenderedImage to Graphics2D, or return false.
`void` | `setCompositeRule(CompositeRule cr)` Set the composite rule to use for combining the sources.
`void` | `setSources(List srcs)` The sources to be composited togeather.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getBounds2D, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### rule

    protected CompositeRule rule

Constructor Detail

### CompositeRable8Bit

    public CompositeRable8Bit(List srcs,
                              CompositeRule rule,
                              boolean csIsLinear)

Method Detail

### setSources

    public void setSources(List srcs)

  The sources to be composited togeather.

  Specified by:
    `setSources` in interface `CompositeRable`
  Parameters:
    `srcs` - The list of images to be composited by the composite rule.

### setCompositeRule

    public void setCompositeRule(CompositeRule cr)

  Set the composite rule to use for combining the sources.

  Specified by:
    `setCompositeRule` in interface `CompositeRable`
  Parameters:
    `cr` - Composite rule to use.

### getCompositeRule

    public CompositeRule getCompositeRule()

  Get the composite rule in use for combining the sources.

  Specified by:
    `getCompositeRule` in interface `CompositeRable`
  Returns:
    Composite rule currently in use.

### paintRable

    public boolean paintRable(Graphics2D g2d)

  Should perform the equivilent action as createRendering followed by drawing the RenderedImage to Graphics2D, or return false.

  Specified by:
    `paintRable` in interface `PaintRable`
  Parameters:
    `g2d` - The Graphics2D to draw to.
  Returns:
    true if the paint call succeeded, false if for some reason the paint failed (in which case a createRendering should be used).

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.